<?
ob_start();
session_start();
if(isset($_SESSION['ses_name']))
{
$user=$_SESSION['ses_name'];
}else{
header("location:index.php");
}


$veh_num='';
$sdate_12 ='';
$page='1';
include("include/config.php");
require_once "include/Database_functions.php";
$sqlObj=new sqlclass();
$msg = '';
$client_namek ='';
if(isset($_REQUEST['client_name'])){
$client_namek=mysql_escape_string($_REQUEST['client_name']);
}
if(isset($_REQUEST['client_main'])){
$client_main=mysql_escape_string($_REQUEST['client_main']);
}
if(isset($_REQUEST['del']) && $_REQUEST['del']=='delete')
{
	$id = $_REQUEST['id'];
	$sql=mysql_query("delete from cf_payroll_user_leave_requests where id='".$id."'");
	header("location:applied_leave_list.php?msg=You Have Successfully Deleted");
}

?>

<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>Oil Fill</title>
<link href="css/styles.css" rel="stylesheet"  />
<link href="css/menu.css" rel="stylesheet" type="text/css" />
<link type="text/css" href="css_date/ui-lightness/jquery-ui-1.7.2.custom.css" rel="stylesheet" />
<script type='text/javascript' src="https://ajax.googleapis.com/ajax/libs/jquery/1.8.3/jquery.min.js"></script>

<script type='text/javascript' src="js/jquery.autocomplete.js"></script>
<link rel="stylesheet" type="text/css" href="js/jquery.autocomplete.css" />

<script type="text/javascript" src="scripts_date/jquery-calendar-1.7.2.js"></script>
<script src="js/popup1.js" type="text/javascript"></script>
<script>

$(document).ready(function(){
$('#from_date').datepicker({
showOn: 'both',
buttonImage: 'icons_date/calendar.gif',
buttonImageOnly: true,
changeMonth: true,
changeYear: true,
dateFormat: 'dd-mm-yy'
});
});

$(document).ready(function(){
$('#to_date').datepicker({
showOn: 'both',
buttonImage: 'icons_date/calendar.gif',
buttonImageOnly: true,
changeMonth: true,
changeYear: true,
dateFormat: 'dd-mm-yy'
});
});

</script>
<script language="javascript">
function getXMLHTTP()
	 { //fuction to return the xml http object
	var xmlhttp=false;	
		try
		{
		xmlhttp=new XMLHttpRequest();
		}
		catch(e)	
		{		
			try{			
				xmlhttp= new ActiveXObject("Microsoft.XMLHTTP");
				}
			catch(e)
			{
				try
				{
				xmlhttp = new ActiveXObject("Msxml2.XMLHTTP");
				}
				catch(e1)
				{
				xmlhttp=false;
				}
			}
		}
	return xmlhttp;
	}   


function Searchdate(page,val)
{ 
 	
	 var page=page;	
	 var client_name='';
	var strURL="ajax/product_data.php?&page="+page;
	if(val!=''){
	strURL+="&client_name="+val;
	}
	var req = getXMLHTTP();
   if (req)
   {
     req.onreadystatechange = function()
     {
		 
			if ((req.readyState == 0)||(req.readyState == 1)||(req.readyState == 2)||(req.readyState == 3))
      		{
			//document.getElementById('order').innerHTML='<div align="center"><img src="'+path+'images/ajax_loader.gif"/></div>';
			//document.getElementById('Cakeorder').innerHTML='<div align="center"><img src="'+path+'images/ajax_loader.gif"/></div>';
			}
		 
		 
      if (req.readyState == 4)
      {
	 // only if "OK"
	 	if (req.status == 200)
	 	{ 
	   document.getElementById('list').innerHTML=req.responseText;
	//	document.getElementById('Cakeorder').innerHTML=req.responseText;
	 	}
	  else 
	 	{
   	   alert("There was a problem while using XMLHTTP:\n" + req.statusText);

	 }
     }
     }
   req.open("GET", strURL, true);
   req.send(null);
   }
 
   
}
function showClientcodedropdown(str){
var xmlhttp;    
if (str=="")
  {
  document.getElementById("txtcodeshow").innerHTML="";
  Searchdate(1,str);
  return;
  }
  
if (window.XMLHttpRequest)
  {// code for IE7+, Firefox, Chrome, Opera, Safari
  xmlhttp=new XMLHttpRequest();
  }
else
  {// code for IE6, IE5
  xmlhttp=new ActiveXObject("Microsoft.XMLHTTP");
  }
xmlhttp.onreadystatechange=function()
  {
  if (xmlhttp.readyState==4 && xmlhttp.status==200)
    {
	   document.getElementById("txtcodeshow").innerHTML=xmlhttp.responseText;
    }
  }
xmlhttp.open("GET","clientajax_code_dropdown.php?str="+str,true);
xmlhttp.send();
}
</script>
</head>

<body>
<!------------------popup area (view, edit)--------------->



<!---------------popup area ends------------------>
<div class="wrapper">
   <div>
<?php 
	include("header.php");
?>
</div>
 
 <div class="tabbedArea" style="position:relative; margin-top:">

  
  <div class="tabBody">
   <h1>Applied Leave types</h1>
   <form name="att_frm" id="att_frm" method="post"  >
   <div class="searchBox" style="width:93%; margin-right:0px;  padding:0px; ">
   <div style="padding:20px;">
    
    <div class="searchField" style="padding-left:20px;">
     <p class="input1">Employee</p>
      <select name="gMonth" id="gMonth" class="input1 input3" style="width:20px;" >
     <?php 
     $sqlemp = $sqlObj->fetchQuery("select * from cf_employee where user_type != 'Superadmin' and status = '1' order by e_fname asc "); 
	 foreach($sqlemp as $emp)
	 {
	 ?>
	<option value="<?=$emp['e_id']?>"><?=$emp['e_fname']?></option>
	 <?php } ?>
     </select>
   </div>
    
    <div class="searchField" style="padding-left:20px;">
     <p class="input1">From Date</p>
     <input type="text" name="from_date" id="from_date" style="width:75px;" maxlength="100" class="input1" />
    </div>
    
    <div class="searchField" style="padding-left:20px;">
     <p class="input1">To Date</p>
     <input type="text" name="to_date" id="to_date" style="width:75px;" maxlength="100" class="input1" />
    </div>
            
    &nbsp;&nbsp;        
    <div class="searchField" style="padding-left:20px;">
     <input name="btnsubmit" type="submit" class="input1" onClick="Searchdate(1);" value="Submit" />
    </div>
    
    <div class="searchField" style="padding-left:20px;">
     <a href="apply_leave.php" target="_blank" >Apply Leave</a>
    </div>
  
   </div>
   </div>
   </form>
   
   <div class="searchBox" style="width:93%; margin-right:0px;  padding:0px; ">
   <div id="list">
     <table  border="0" cellspacing="0" cellpadding="0" class="tableList"  style="margin-left:20px; ">
  <tr class="heading">
    <td>No</td>    
    <td>Employee</td>   
    <td>Designation</td>   
    <td>Leave Date</td>   
    <td>Leave Type</td>
    <td>Reason</td>
    <td>Day</td>
	<td align="center">Imm.Supervisor</td>
	<td align="center">Admin</td>
    <td align="center">Delete</td>
  </tr>
  
<?php
$i=1;
$emp_ses_id=$_SESSION['emp_id'];
$sq_arr="select emp.e_fname as e_fname,emp.e_lname as e_lname,desg.desig_name as desig_name, leavetype.title as title ,leaves.* from cf_payroll_user_leave_requests as leaves join cf_employee as emp on leaves.employee_id = emp.e_id left join cf_designation as desg on emp.desigid = desg.desig_id left join cf_payroll_leave as leavetype on leaves.leave_id = leavetype.lid where   emp.e_id='$emp_ses_id' ";
$sq_arr.=" order by leaves.id desc ";
$query=$sq_arr;
//echo $query;
$function="Searchdate";
include("pagingserch.php");
$sq_arr.=" LIMIT $start, $limit";

if(isset($_REQUEST['page'])){
$page=$_REQUEST['page'];
}else{
$page=1;
}

$array=mysql_query($sq_arr);
if($array && mysql_num_rows($array)>0){
$pagecnt=$start;
while($res=mysql_fetch_array($array))
{

$pagecnt++;
  ?> 
  <tr>
    <td><?php echo $pagecnt;?></td>
    <td><?php echo $res['e_fname'].' '.$res['e_lname'];?></td> 
    <td><?php echo $res['desig_name'];?></td>  
    <td><?php echo date(('d-m-Y'),strtotime($res['day_from']));?></td>
    <td><?php echo $res['title'];?></td>  
    <td><?php echo $res['reason'];?></td>
    <td><?php if($res['half_full_day'] == '1')
	{
		echo "Half Day";
	}
	else
	{
		echo "Full Day";
	}
	?></td>  
    <?php
	
	if($res['imd_status']!=0)
	{
	
	?>
    <td align="center" class="tr_td_r" ><a href="#" ><img src="images/ok-green.png" width="20" height="20" title="delete"></a></td>
	<?php
	}
	else{
	?><td align="center" class="tr_td_r" ><a href="#" ><img src="images/cross-red.png" width="20" height="20"  title="delete"></a></td>
	<?php
	}
	?>
	<?php
	
	if($res['HRstatus']!=0)
	{
	
	?>
    <td align="center" class="tr_td_r" ><a href="#" ><img src="images/ok-green.png" width="20" height="20"  title="delete"></a></td>
	<?php
	}
	else{
	?><td align="center" class="tr_td_r" ><a href="#" ><img src="images/cross-red.png" width="20" height="20"  title="delete"></a></td>
	<?php
	}
	?>
    <td align="center" class="tr_td_r" ><a href="applied_leave_list.php?del=delete&id=<?php echo $res['id']; ?>" onClick="return confirm('Do you really want to delete this field?');"><img src="images/delete.png" title="delete"></a></td>
  </tr>
  <?php 
    }}else{?>
	 <tr>
    <td class="errorMessage"  style="border-right:0px;border-bottom:0px; "><font color="#FF0000">No Records Found</font></td></tr>
	<? }
  ?>
</table>

  <div align="right" style="padding-top:10px;"><?=$pagination?></div> 
  </div>
  </div>
 </div>
 <div class="footer"><p>Powered by <a href="http://www.aadhocc.co.uk/" target="_blank">Aadhocc</a></p></div>
 
</div>
<div class="quicLInksCover">
 <?php 
	include("leftlink.php");
?>

</div>
</body>
</html>
